#ifndef _CARD_H_
#define _CARD_H_

#include <string>
#include <iostream>
#include <ostream>

using namespace std;



class card
{
    int d_value; // ranging 2 - 14, 14 being Ace
    int d_suit;  // ranging 0 - 3, 0 being clubs, 3 being spades
    int d_points;
    
  public:
    card(int num, int col);
    
   enum Value {Two = 2, Three, Four, Five, Six, Seven, Eight, Nine, Ten, J, Q, K, A}; 
   enum Suit  {Clubs, Diamonds, Hearts, Spades};    
    
        
    ostream& printTo(ostream &ostr);
    
    int getPoints(){
        return d_points;
    }
    int getSuit(){
        return d_suit;
    }
    int getValue()
    {
        return d_value;
    }    
    
};


#endif
