#include "card.ih"


card::card(int num, int col)
:
  d_value(num),
  d_suit(col),
  d_points(0)
{
    switch(num)
    {
       case J:
           d_points = 1;
           break;
       case Q:
           d_points = 2;
           break;
       case K:
           d_points = 3;
           break;
       case A:
           d_points = 4;   
           break;
    }
}

ostream& card::printTo(ostream &ostr)
{
    switch(d_value)
    {     
        case J:
            ostr << "J";
            break;
        case Q:
            ostr << "Q";
            break;
        case K:
            ostr << "K";
            break;
        case A:
            ostr << "A";
            break;                
        default:
            ostr << d_value;    
    }    
    switch(d_suit)
    {
        case Clubs:
            ostr << char(5);     
            break;
        case Diamonds:
            ostr << char(4);     
            break;
        case Hearts:
            ostr << char(3);     
            break;
        case Spades:
            ostr << char(6);     
            break;
    }    
   return ostr << "\t";
}

